%bcond_with tests

Name:       protontricks
Version:    1.6.1
Release:    1%{?dist}
Summary:    Simple wrapper that does winetricks things for Proton enabled games
BuildArch:  noarch

License:    GPLv3+
URL:        https://github.com/Matoking/protontricks

# GitHub tarball won't work for setuptools-scm
Source0:    %{pypi_source %{name}}

BuildRequires: desktop-file-utils
BuildRequires: python3-devel > 3.5
BuildRequires: python3dist(setuptools)
BuildRequires: python3dist(setuptools-scm)
BuildRequires: python3dist(vdf) >= 2.4
%if %{with tests}
BuildRequires: python3dist(pytest-cov) >= 2.10
BuildRequires: python3dist(pytest) >= 6.0
%endif

Requires:   winetricks

Recommends: yad

Suggests:   zenity


%description
A simple wrapper that does winetricks things for Proton enabled games,
requires Winetricks.

This is a fork of the original project created by sirmentio. The original
repository is available at Sirmentio/protontricks.


%prep
%autosetup -p1


%build
%py3_build


%install
%py3_install

# Remove `protontricks-desktop-install`, since we already install .desktop
# files properly
# https://bugzilla.redhat.com/show_bug.cgi?id=1991684
rm %{buildroot}%{_bindir}/%{name}-desktop-install


%if %{with tests}
%check
%{python3} -m pytest -v
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop
%endif


%files
%license LICENSE
%doc README.md CHANGELOG.md
%{_bindir}/%{name}-launch
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{python3_sitelib}/%{name}/
%{python3_sitelib}/%{name}-%{version}*.egg-info


%changelog
* Mon Oct 18 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 1.6.1-1
- chore(update): 1.6.1

* Mon Aug 09 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 1.6.0-2
- fix: Remove `protontricks-desktop-install` | rh#1991684

* Sun Aug 08 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 1.6.0-1
- build(update): 1.6.0

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 1.5.1-2
- Rebuilt for Python 3.10

* Mon May 10 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 1.5.1-1
- build(update): 1.5.1

* Sat Apr 10 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 1.5.0-1
- build(update): 1.5.0

* Wed Feb 03 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 1.4.4-1
- build(update): 1.4.4

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sun Jan 24 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 1.4.3-3
- build: polish to conform Fedora guidelines

* Mon Dec 28 2020 gasinvein <gasinvein@gmail.com> - 1.4.3-0.1
- Initial package
